| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros
OgreIdString.h File Reference
`#include "OgreMurmurHash3.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <string>`

## Classes
struct | Ogre::IdString
| Hashed string. More...

## Namespaces
| Ogre

## Macros
#define | OGRE_APPEND_DEBUG_STRING(_Expression) ((void)0)
#define | OGRE_COPY_DEBUG_STRING(_Expression) ((void)0)
#define | OGRE_HASH_BITS 32
#define | OGRE_HASH_FUNC MurmurHash3_x86_32

## Macro Definition Documentation

## ◆ OGRE_HASH_FUNC

#define OGRE_HASH_FUNC MurmurHash3_x86_32

Referenced by Ogre::IdString::IdString(), and Ogre::IdString::operator+=().

## ◆ OGRE_HASH_BITS

#define OGRE_HASH_BITS 32

Referenced by Ogre::IdString::getReleaseText().

## ◆ OGRE_COPY_DEBUG_STRING

#define OGRE_COPY_DEBUG_STRING | ( |  | _Expression | ) | ((void)0)

Referenced by Ogre::IdString::IdString().

## ◆ OGRE_APPEND_DEBUG_STRING

#define OGRE_APPEND_DEBUG_STRING | ( |  | _Expression | ) | ((void)0)

Referenced by Ogre::IdString::operator+=().